// Copyright 1999-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniCyberCash/CCConnection.h,v 1.4 2000/01/19 23:36:26 kc Exp $

#import <Foundation/Foundation.h>

@class ONSocketStream;
@class CCTransaction;

@interface CCConnection : NSObject
{
    ONSocketStream *socketStream;
}

+ (CCConnection *)sharedConnection;

- (NSMutableDictionary *)parseResult:(NSString *)resultString;
- (NSMutableDictionary *)sendMessageWithType:(NSString *)type
                                  parameters:(NSDictionary *)parameters;

- (CCTransaction *)captureCreditCardTransaction:(CCTransaction *)transaction;

@end
